import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  npiProviderId: z.literal(true).optional(),
  totalCollection: z.literal(true).optional(),
  commissionAmount: z.literal(true).optional()
}).strict();
export const CommissionBatchSumAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchSumAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchSumAggregateInputType>;
export const CommissionBatchSumAggregateInputObjectZodSchema = makeSchema();
